MultiDirFilePropertyEditor (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.propertyEditor
Class MultiDirFilePropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.FilePropertyEditor
              com.bbn.openmap.util.propertyEditor.MultiDirectoryPropertyEditor
                  com.bbn.openmap.util.propertyEditor.MultiDirFilePropertyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyEditor, java.util.EventListener

    public class MultiDirFilePropertyEditor

extends MultiDirectoryPropertyEditor

A PropertyEditor that brings up a JFileChooser panel to several files and directories. You can enter information in the text field, and pressing the add button will bring up a file chooser. Anything chosen in the file chooser will be appended to what is currently in the text field.

Field Summary

Fields inherited from class com.bbn.openmap.util.propertyEditor.MultiDirectoryPropertyEditor
`pathSeparator`

Fields inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`button, textField`

Constructor Summary
`MultiDirFilePropertyEditor()` Create MultiDirFilePropertyEditor.

Method Summary
`int` | `getFileSelectionMode()` Internal callback method that can be overridden by subclasses.

Methods inherited from class com.bbn.openmap.util.propertyEditor.MultiDirectoryPropertyEditor
`actionPerformed, append, getButtonTitle, getPathSeparator, isMultiSelectEnabled, isTextFieldEditable, setPathSeparator`

Methods inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`cleanUpName, getAsText, getCustomEditor, getFileChooser, getLastLocation, setValue, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiDirFilePropertyEditor

    public MultiDirFilePropertyEditor()

  Create MultiDirFilePropertyEditor.

Method Detail

### getFileSelectionMode

    public int getFileSelectionMode()

  Internal callback method that can be overridden by subclasses.

  Overrides:
    `getFileSelectionMode` in class `MultiDirectoryPropertyEditor`
  Returns:
    JFileChooser.DIRECTORIES_ONLY for MultiDirFilePropertyEditor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details